---
title: Get all connected Salesforce organizations
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Salesforce Integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get all connected Salesforce organizations{% #get-all-connected-salesforce-organizations %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                            |
| ----------------- | --------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/salesforce-incidents/organizations |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/salesforce-incidents/organizations |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/salesforce-incidents/organizations      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/salesforce-incidents/organizations      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/salesforce-incidents/organizations  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/salesforce-incidents/organizations |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/salesforce-incidents/organizations     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/salesforce-incidents/organizations |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/salesforce-incidents/organizations |

### Overview

Get all Salesforce organizations connected to your Datadog organization through the Salesforce integration. Salesforce organizations are connected through the OAuth setup flow in the Datadog Salesforce integration page. This endpoint requires the `integrations_read` permission.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of Salesforce organizations connected to the Datadog Salesforce integration.

| Parent field | Field                        | Type     | Description                                                                              |
| ------------ | ---------------------------- | -------- | ---------------------------------------------------------------------------------------- |
|              | data [*required*]       | [object] | An array of Salesforce organizations.                                                    |
| data         | attributes [*required*] | object   | Attributes of a Salesforce organization connected to the Datadog Salesforce integration. |
| attributes   | instance_url                 | string   | The Salesforce instance URL used to call this organization's APIs.                       |
| attributes   | name                         | string   | Human-readable name of the Salesforce organization.                                      |
| attributes   | sfdc_org_id                  | string   | The Salesforce organization identifier (15- or 18-character Salesforce org ID).          |
| attributes   | sfdc_org_type                | string   | The Salesforce organization type (for example, `Production` or `Sandbox`).               |
| data         | id [*required*]         | string   | The Datadog-assigned ID of the connected Salesforce organization.                        |
| data         | type [*required*]       | enum     | Salesforce organization resource type. Allowed enum values: `salesforce-incidents-org`   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "instance_url": "https://acme.my.salesforce.com",
        "name": "Acme Production Org",
        "sfdc_org_id": "00D000000000000",
        "sfdc_org_type": "Production"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "salesforce-incidents-org"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/salesforce-incidents/organizations" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get all connected Salesforce organizations returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.salesforce_integration_api import SalesforceIntegrationApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SalesforceIntegrationApi(api_client)
    response = api_instance.get_salesforce_organizations()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get all connected Salesforce organizations returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SalesforceIntegrationAPI.new
p api_instance.get_salesforce_organizations()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get all connected Salesforce organizations returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSalesforceIntegrationApi(apiClient)
	resp, r, err := api.GetSalesforceOrganizations(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SalesforceIntegrationApi.GetSalesforceOrganizations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SalesforceIntegrationApi.GetSalesforceOrganizations`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get all connected Salesforce organizations returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SalesforceIntegrationApi;
import com.datadog.api.client.v2.model.SalesforceIncidentsOrganizationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SalesforceIntegrationApi apiInstance = new SalesforceIntegrationApi(defaultClient);

    try {
      SalesforceIncidentsOrganizationsResponse result = apiInstance.getSalesforceOrganizations();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling SalesforceIntegrationApi#getSalesforceOrganizations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get all connected Salesforce organizations returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_salesforce_integration::SalesforceIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SalesforceIntegrationAPI::with_config(configuration);
    let resp = api.get_salesforce_organizations().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get all connected Salesforce organizations returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SalesforceIntegrationApi(configuration);

apiInstance
  .getSalesforceOrganizations()
  .then((data: v2.SalesforceIncidentsOrganizationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
